[arch-commits] Commit in texlive-science/repos (4 files)

Rémy Oudompheng remy at archlinux.org
Sat May 11 21:14:42 UTC 2019


    Date: Saturday, May 11, 2019 @ 21:14:41
  Author: remy
Revision: 352892

archrelease: copy trunk to testing-any

Added:
  texlive-science/repos/testing-any/
  texlive-science/repos/testing-any/PKGBUILD
    (from rev 352891, texlive-science/trunk/PKGBUILD)
  texlive-science/repos/testing-any/texlive-science.fmts
    (from rev 352891, texlive-science/trunk/texlive-science.fmts)
  texlive-science/repos/testing-any/texlive-science.maps
    (from rev 352891, texlive-science/trunk/texlive-science.maps)

----------------------+
 PKGBUILD             |   51 +++++++++++++++++++++++++++++++++++++++++++++++++
 texlive-science.fmts |    1 
 texlive-science.maps |    3 ++
 3 files changed, 55 insertions(+)

Copied: texlive-science/repos/testing-any/PKGBUILD (from rev 352891, texlive-science/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2019-05-11 21:14:41 UTC (rev 352892)
@@ -0,0 +1,51 @@
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-science
+pkgver=2019.50760
+_revnr=${pkgver#2019.}
+pkgrel=1
+pkgdesc="TeX Live - Typesetting for mathematics, natural and computer sciences"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip"
+        "$pkgname.maps"
+        "$pkgname.fmts")
+options=('!emptydirs')
+sha256sums=('21646a676a4a96e4fbfd248cc9f836239269962b043ee586a641f984fe8b7404'
+            '1d9151c9cabc3521b4406731b0147d80e0bf600bdedaf55a1a49b8775165daa8'
+            '1cbd5339f8cfa32214a749a408cf7136fd5acffaffcde6500a337d332c70c5c3')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m644 $pkgname.fmts $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   install -m755 -d $pkgdir/usr/bin
+   ln -s /usr/share/texmf-dist/scripts/ulqda/ulqda.pl $pkgdir/usr/bin/ulqda
+}

Copied: texlive-science/repos/testing-any/texlive-science.fmts (from rev 352891, texlive-science/trunk/texlive-science.fmts)
===================================================================
--- testing-any/texlive-science.fmts	                        (rev 0)
+++ testing-any/texlive-science.fmts	2019-05-11 21:14:41 UTC (rev 352892)
@@ -0,0 +1 @@
+amstex pdftex - -translate-file=cp227.tcx *amstex.ini

Copied: texlive-science/repos/testing-any/texlive-science.maps (from rev 352891, texlive-science/trunk/texlive-science.maps)
===================================================================
--- testing-any/texlive-science.maps	                        (rev 0)
+++ testing-any/texlive-science.maps	2019-05-11 21:14:41 UTC (rev 352892)
@@ -0,0 +1,3 @@
+Map chemarrow.map
+MixedMap stmaryrd.map
+MixedMap yhmath.map


More information about the arch-commits mailing list